# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/s//`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "S\\\\": "packages/s//src",
            "S\\\\Seeders\\": "packages/s//database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        S\\Providers\ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        ''  => S\\Facades\::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=S\\\\Seeders\\TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="S\\Providers\ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin//{modulename}

**User**

    http://path-to-route-folder/user//{modulename}

**Public**

    http://path-to-route-folder/s_s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user//{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user//{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user//{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user//{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api//{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api//{modulename}/{slug}
    METHOD: GET